net.corda.core.contracts

## Class Amount.Companion

- net.corda.core.contracts.Amount.Companion

- Enclosing class:
    Amount<T>

      public static class Amount.Companion

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Amount<java.util.Currency>` | `fromDecimal(java.math.BigDecimal quantity, java.util.Currency currency)` Build an amount from a decimal representation. For example, with an input of "12.34" GBP, returns an amount with a quantity of "1234".

- - ### Method Detail

    - #### fromDecimal

          public Amount<java.util.Currency> fromDecimal(java.math.BigDecimal quantity,
                                                        java.util.Currency currency)

      Build an amount from a decimal representation. For example, with an input of "12.34" GBP, returns an amount with a quantity of "1234".

      See Also:
        `class Amount`